Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361358 - [abrt] BUG: Bad page map in process Thunar pte:ffff880036bebd40 pmd:36beb067
Summary: [abrt] BUG: Bad page map in process Thunar pte:ffff880036bebd40 pmd:36beb067
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:aa64aad67b809284ef7cf21ffaa...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-28 22:37 UTC by David McInnis
Modified: 2016-10-09 14:02 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-05 00:52:23 UTC


Attachments (Terms of Use)
File: dmesg (deleted)
2016-07-28 22:38 UTC, David McInnis
no flags Details

Description David McInnis 2016-07-28 22:37:51 UTC
Description of problem:
I put the computer into hibernate.  When I resumed from hibernate I got this error.

Additional info:
reporter:       libreport-2.7.2
BUG: Bad page map in process Thunar  pte:ffff880036bebd40 pmd:36beb067
addr:00007f386359f000 vm_flags:08000070 anon_vma:          (null) mapping:ffff88007bef73d0 index:2ae
file:libc-2.23.so fault:ext4_filemap_fault mmap:ext4_file_mmap readpage:ext4_readpage
CPU: 1 PID: 14419 Comm: Thunar Not tainted 4.6.4-301.fc24.x86_64 #1
Hardware name: Dell Inc. Latitude D430                   /0XW739, BIOS A09 01/04/2010
 0000000000000286 000000006275dfd9 ffff880066b47bf0 ffffffff813dbcaf
 00007f386359f000 ffff88005c0c29c0 ffff880066b47c40 ffffffff811ecbaf
 ffff880066b47dd8 ffffea0001317980 ffff88007b1b3500 00007f386359f000
Call Trace:
 [<ffffffff813dbcaf>] dump_stack+0x63/0x84
 [<ffffffff811ecbaf>] print_bad_pte+0x1df/0x2a0
 [<ffffffff811ee4f3>] vm_normal_page+0x53/0xa0
 [<ffffffff811ef491>] unmap_page_range+0x591/0x8f0
 [<ffffffff811ef86d>] unmap_single_vma+0x7d/0xe0
 [<ffffffff811efbc1>] unmap_vmas+0x51/0xa0
 [<ffffffff811f8987>] exit_mmap+0xa7/0x170
 [<ffffffff810a441b>] mmput+0x5b/0x100
 [<ffffffff810ab169>] do_exit+0x279/0xb60
 [<ffffffff810d2a70>] ? wake_up_state+0x10/0x20
 [<ffffffff810b46ae>] ? signal_wake_up_state+0x1e/0x30
 [<ffffffff810abad7>] do_group_exit+0x47/0xb0
 [<ffffffff810abb54>] SyS_exit_group+0x14/0x20
 [<ffffffff817e0772>] entry_SYSCALL_64_fastpath+0x1a/0xa4

Comment 1 David McInnis 2016-07-28 22:38:00 UTC
Created attachment 1185326 [details]
File: dmesg

Comment 2 David McInnis 2016-08-04 22:31:58 UTC
Description of problem:
I had just finished doing a dnf upgrade and this error happened during the package verification / cleanup process.


Version-Release number of selected component:
kernel-core-4.6.4-301.fc24

Additional info:
reporter:       libreport-2.7.2
cmdline:        BOOT_IMAGE=/vmlinuz-4.6.4-301.fc24.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap resume=/dev/dm-1 rhgb quiet
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
BUG: Bad page map in process sedispatch  pte:ffff880036a33d40 pmd:36a33067
addr:00007f9df859f000 vm_flags:08000070 anon_vma:          (null) mapping:ffff88007bede770 index:13f
file:libpthread-2.23.so fault:ext4_filemap_fault mmap:ext4_file_mmap readpage:ext4_readpage
CPU: 1 PID: 717 Comm: sedispatch Not tainted 4.6.4-301.fc24.x86_64 #1
Hardware name: Dell Inc. Latitude D430                   /0XW739, BIOS A09 01/04/2010
 0000000000000286 0000000072e5d0a5 ffff88007a4f3bf0 ffffffff813dbcaf
 00007f9df859f000 ffff880036855780 ffff88007a4f3c40 ffffffff811ecbaf
 0000000000000000 ffffea0001fd7580 ffffffffffffff10 00007f9df859f000
Call Trace:
 [<ffffffff813dbcaf>] dump_stack+0x63/0x84
 [<ffffffff811ecbaf>] print_bad_pte+0x1df/0x2a0
 [<ffffffff811ee4f3>] vm_normal_page+0x53/0xa0
 [<ffffffff811ef491>] unmap_page_range+0x591/0x8f0
 [<ffffffff811ef86d>] unmap_single_vma+0x7d/0xe0
 [<ffffffff811efbc1>] unmap_vmas+0x51/0xa0
 [<ffffffff811f8987>] exit_mmap+0xa7/0x170
 [<ffffffff810a441b>] mmput+0x5b/0x100
 [<ffffffff810ab169>] do_exit+0x279/0xb60
 [<ffffffff8106a846>] ? __do_page_fault+0x206/0x4d0
 [<ffffffff810abad7>] do_group_exit+0x47/0xb0
 [<ffffffff810abb54>] SyS_exit_group+0x14/0x20
 [<ffffffff817e0772>] entry_SYSCALL_64_fastpath+0x1a/0xa4

Comment 3 Laura Abbott 2016-09-23 19:12:29 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.
 
Fedora 24 has now been rebased to 4.7.4-200.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 25, and are still experiencing this issue, please change the version to Fedora 25.
 
If you experience different issues, please open a new bug report for those.

Comment 4 David McInnis 2016-10-05 00:52:23 UTC
My issue no longer occurs.

Comment 5 enrico ugazio 2016-10-08 15:38:51 UTC
Description of problem:
start the computer. i power off with problem of firefox

Version-Release number of selected component:
kernel-core-4.7.5-200.fc24

Additional info:
reporter:       libreport-2.7.2
cmdline:        BOOT_IMAGE=/vmlinuz-4.7.5-200.fc24.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=it_IT.UTF-8
kernel:         4.7.5-200.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
BUG: Bad page map in process pool  pte:ffffffff pmd:20f0fa067
addr:00007f34c9693000 vm_flags:08000070 anon_vma:          (null) mapping:ffff8800b8384450 index:1cd
file:libstdc++.so.6.0.22 fault:ext4_filemap_fault mmap:ext4_file_mmap readpage:ext4_readpage
CPU: 0 PID: 1835 Comm: pool Not tainted 4.7.5-200.fc24.x86_64 #1
Hardware name: ASUS All Series/AM1M-A, BIOS 1401 03/10/2016
 0000000000000286 000000008a780c3c ffff8800b762b9f8 ffffffffa13daaaf
 00007f34c9693000 ffff88020f15c240 ffff8800b762ba48 ffffffffa11eaa3f
 ffffffffa1204e0e ffff8800b762c000 ffff8800b762bbe0 00007f34c9693000
Call Trace:
 [<ffffffffa13daaaf>] dump_stack+0x63/0x84
 [<ffffffffa11eaa3f>] print_bad_pte+0x1df/0x2a0
 [<ffffffffa1204e0e>] ? free_pages_and_swap_cache+0x8e/0xa0
 [<ffffffffa11ec3d6>] vm_normal_page+0x96/0xa0
 [<ffffffffa11ed334>] unmap_page_range+0x594/0x8f0
 [<ffffffffa11ed70d>] unmap_single_vma+0x7d/0xe0
 [<ffffffffa11eda61>] unmap_vmas+0x51/0xa0
 [<ffffffffa11f68f7>] exit_mmap+0xa7/0x170
 [<ffffffffa109da82>] mmput+0x62/0x100
 [<ffffffffa10a47f3>] do_exit+0x273/0xb50
 [<ffffffffa10a5157>] do_group_exit+0x47/0xb0
 [<ffffffffa10b047d>] get_signal+0x28d/0x630
 [<ffffffffa1025f57>] do_signal+0x37/0x6c0
 [<ffffffffa112475d>] ? do_futex+0x2dd/0xb10
 [<ffffffffa10cb2f0>] ? wake_up_q+0x70/0x70
 [<ffffffffa1246e07>] ? __vfs_write+0x37/0x160
 [<ffffffffa100330c>] exit_to_usermode_loop+0x8c/0xd0
 [<ffffffffa1003ce1>] syscall_return_slowpath+0xa1/0xb0
 [<ffffffffa17ec5fa>] entry_SYSCALL_64_fastpath+0xa2/0xa4

Comment 6 igiwatson 2016-10-09 14:02:56 UTC
Description of problem:
Was running octave. A plot with incorrect number of point in x and y axis.
Initially re-running, it did not repeat the exception, so I will have to investigate and find if it can be repeated.

Version-Release number of selected component:
kernel-core-4.7.5-200.fc24

Additional info:
reporter:       libreport-2.7.2
cmdline:        BOOT_IMAGE=/vmlinuz-4.7.5-200.fc24.x86_64 root=UUID=0f4b3edf-e86c-48a5-87df-d139ee3eea8a ro rhgb LANG=en_GB.UTF-8 resume=/dev/sda7
kernel:         4.7.5-200.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
BUG: Bad page map in process QThread  pte:80000042b16db865 pmd:1f1359067
addr:00007efc6973c000 vm_flags:08100073 anon_vma:ffff88023f805140 mapping:          (null) index:7efc6973c
file:          (null) fault:          (null) mmap:          (null) readpage:          (null)
CPU: 3 PID: 2518 Comm: QThread Not tainted 4.7.5-200.fc24.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. To be filled by O.E.M./F2A88XM-HD3P, BIOS F2 12/24/2015
 0000000000000286 000000004266df78 ffff8803eb2a3c28 ffffffffa43daaaf
 00007efc6973c000 ffff88033f879300 ffff8803eb2a3c78 ffffffffa41eaa3f
 ffffea0009a6d8a0 00000000ffffffe0 0000000000000000 00007efc6973c000
Call Trace:
 [<ffffffffa43daaaf>] dump_stack+0x63/0x84
 [<ffffffffa41eaa3f>] print_bad_pte+0x1df/0x2a0
 [<ffffffffa41ec393>] vm_normal_page+0x53/0xa0
 [<ffffffffa41ed334>] unmap_page_range+0x594/0x8f0
 [<ffffffffa41ed70d>] unmap_single_vma+0x7d/0xe0
 [<ffffffffa41eda61>] unmap_vmas+0x51/0xa0
 [<ffffffffa41f442d>] unmap_region+0xbd/0x130
 [<ffffffffa41f6583>] do_munmap+0x293/0x480
 [<ffffffffa41f6830>] SyS_munmap+0x50/0x70
 [<ffffffffa47ec572>] entry_SYSCALL_64_fastpath+0x1a/0xa4


Note You need to log in before you can comment on or make changes to this bug.